Bug 121829 - [maintainer update] update devel/clanlib
[maintainer update] update devel/clanlib
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 14:00 UTC by carpetsmoker
Modified: 2008-03-26 13:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description carpetsmoker 2008-03-18 14:00:01 UTC
 Update to 0.8.1
 Remove knobs since they are rather useless
 
 With thanks to Evgen Zagorodniy
 
 
 System: FreeBSD phong.rwxrwxrwx.net 7.0-STABLE FreeBSD 7.0-STABLE #0: Tue Mar 11 08:53:58 CET 2008 carpetsmoker@phong.rwxrwxrwx.net:/usr/obj/usr/src/sys/PHONG i386
 	
 
 	
 
 --- clanlib.diff begins here ---
 diff -urN --exclude CVS /ports/devel/clanlib/Makefile devel/clanlib/Makefile
 --- /ports/devel/clanlib/Makefile	2008-03-18 14:36:22.000000000 +0100
 +++ devel/clanlib/Makefile	2008-03-18 14:48:45.000000000 +0100
 @@ -2,13 +2,12 @@
  # Date created:				10 May 2000
  # Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
  #
 -# $Carpetsmoker: ports/devel/clanlib/Makefile,v 1.2 2007/07/22 00:53:05 carpetsmoker Exp $
 +# $Carpetsmoker: ports/devel/clanlib/Makefile,v 1.3 2008/03/18 13:48:24 carpetsmoker Exp $
  # $FreeBSD: ports/devel/clanlib/Makefile,v 1.22 2008/03/13 14:27:13 miwi Exp $
  #
  
  PORTNAME=	clanlib
 -PORTVERSION=	0.8.0
 -PORTREVISION=	1
 +PORTVERSION=	0.8.1
  PORTEPOCH=	1
  CATEGORIES=	devel
  MASTER_SITES=	http://www.clanlib.org/download/releases-0.8/ \
 @@ -21,7 +20,9 @@
  COMMENT=	Cross-platform game SDK
  
  LIB_DEPENDS=	jpeg.9:${PORTSDIR}/graphics/jpeg \
 -		png.5:${PORTSDIR}/graphics/png
 +		png.5:${PORTSDIR}/graphics/png \
 +		mikmod:${PORTSDIR}/audio/libmikmod \
 +		vorbis:${PORTSDIR}/audio/libvorbis
  
  WRKSRC=		${WRKDIR}/ClanLib-${PORTVERSION}
  CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
 @@ -34,6 +35,8 @@
  USE_XLIB=	yes
  USE_GNOME=	gnomehack gnometarget pkgconfig
  USE_LDCONFIG=	yes
 +USE_SDL=	gfx
 +USE_GL=		yes
  
  .include <bsd.port.pre.mk>
  
 @@ -51,53 +54,13 @@
  CFLAGS+=	-O0
  .endif
  
 -.if defined(WITHOUT_SDL)
 -CONFIGURE_ARGS+=--disable-clanSDL
 -PLIST_SUB+=	SDL="@comment "
 -.else
 -USE_SDL=	gfx
 -CONFIGURE_ARGS+=--disable-sdltest
 -PLIST_SUB+=	SDL=""
 -.endif
 -
 -.if defined(WITHOUT_OPENGL)
 -CONFIGURE_ARGS+=--disable-clanGL
 -PLIST_SUB+=	OPENGL="@comment "
 -.else
 -USE_GL=		yes
 -PLIST_SUB+=	OPENGL=""
 -.endif
 -
 -.if defined(WITHOUT_MIKMOD)
 -CONFIGURE_ARGS+=--disable-clanMikMod
 -PLIST_SUB+=	LIBMIKMOD="@comment "
 -.else
 -LIB_DEPENDS+=	mikmod:${PORTSDIR}/audio/libmikmod
 -PLIST_SUB+=	LIBMIKMOD=""
 -.endif
 -
 -.if defined(WITHOUT_VORBIS)
 -CONFIGURE_ARGS+=--disable-clanVorbis
 -PLIST_SUB+=	LIBVORBIS="@comment "
 -.else
 -LIB_DEPENDS+=	vorbis:${PORTSDIR}/audio/libvorbis
 -PLIST_SUB+=	LIBVORBIS=""
 -.endif
 -
 -pre-everything::
 -	@${ECHO_MSG} "ClanLib has the following tunables options:"
 -	@${ECHO_MSG} ""
 -	@${ECHO_MSG} "	WITHOUT_SDL=yes		Turns off SDL support"
 -	@${ECHO_MSG} "	WITHOUT_OPENGL=yes	Turns off OpenGL support"
 -	@${ECHO_MSG} "	WITHOUT_MIKMOD=yes	Turns off libmikmod support"
 -	@${ECHO_MSG} "	WITHOUT_VORBIS=yes	Turns off libvorbis support"
 -	@${ECHO_MSG} ""
 -
  post-patch:
  	@${GREP} -lR "SDL/SDL" ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} -e \
  		's|SDL/SDL|SDL|g'
  	@${REINPLACE_CMD} -e 's|(CLvoid)|()|' \
  		${WRKSRC}/Sources/API/GL/opengl_wrap.h
 +	@${REINPLACE_CMD} -e 's|-lasound||' \
 +		${WRKSRC}/Sources/Sound/Makefile.in
  	@${REINPLACE_CMD} -e 's|@perl_exec@|${PERL}|g' \
  		${WRKSRC}/Documentation/Utilities/webbuilder.pl.in
  
 diff -urN --exclude CVS /ports/devel/clanlib/distinfo devel/clanlib/distinfo
 --- /ports/devel/clanlib/distinfo	2007-09-10 01:31:01.000000000 +0200
 +++ devel/clanlib/distinfo	2008-03-18 11:34:34.000000000 +0100
 @@ -1,3 +1,3 @@
 -MD5 (ClanLib-0.8.0.tgz) = 3e183a801a31f646b012db2d82f97ff3
 -SHA256 (ClanLib-0.8.0.tgz) = def9bdbb20ea740e005134a77def721e969e230740e67937cc3ac201033059e6
 -SIZE (ClanLib-0.8.0.tgz) = 7527581
 +MD5 (ClanLib-0.8.1.tgz) = 24e86202eb6d702f788ff16a2718aa97
 +SHA256 (ClanLib-0.8.1.tgz) = 094331dda35b0d263431d1551991eb208d8e969824434925548a9fcd1d34e495
 +SIZE (ClanLib-0.8.1.tgz) = 7629019
 diff -urN --exclude CVS /ports/devel/clanlib/pkg-plist devel/clanlib/pkg-plist
 --- /ports/devel/clanlib/pkg-plist	2007-09-10 01:31:01.000000000 +0200
 +++ devel/clanlib/pkg-plist	2008-03-18 14:04:41.000000000 +0100
 @@ -45,6 +45,7 @@
  include/ClanLib-0.8/ClanLib/Core/System/cl_assert.h
  include/ClanLib-0.8/ClanLib/Core/System/cl_library.h
  include/ClanLib-0.8/ClanLib/Core/System/clanstring.h
 +include/ClanLib-0.8/ClanLib/Core/System/clipboard.h
  include/ClanLib-0.8/ClanLib/Core/System/clonable.h
  include/ClanLib-0.8/ClanLib/Core/System/command_line.h
  include/ClanLib-0.8/ClanLib/Core/System/console_window.h
 @@ -99,6 +100,7 @@
  include/ClanLib-0.8/ClanLib/Display/Collision/outline_provider_bitmap.h
  include/ClanLib-0.8/ClanLib/Display/Collision/outline_provider_file.h
  include/ClanLib-0.8/ClanLib/Display/Providers/dc_buffer.h
 +include/ClanLib-0.8/ClanLib/Display/Providers/bmp_provider.h
  include/ClanLib-0.8/ClanLib/Display/Providers/jpeg_provider.h
  include/ClanLib-0.8/ClanLib/Display/Providers/pcx_provider.h
  include/ClanLib-0.8/ClanLib/Display/Providers/png_provider.h
 @@ -141,21 +143,21 @@
  include/ClanLib-0.8/ClanLib/Display/stencil_func.h
  include/ClanLib-0.8/ClanLib/Display/surface.h
  include/ClanLib-0.8/ClanLib/Display/text_styler.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/light_source.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/opengl.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/opengl_state.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/opengl_state_data.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/opengl_surface.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/opengl_window.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/opengl_window_description.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/opengl_wrap.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/program_attribute.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/program_object.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/program_uniform.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/setupgl.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/shader_object.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/texture.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/GL/viewpoint.h
 +include/ClanLib-0.8/ClanLib/GL/light_source.h
 +include/ClanLib-0.8/ClanLib/GL/opengl.h
 +include/ClanLib-0.8/ClanLib/GL/opengl_state.h
 +include/ClanLib-0.8/ClanLib/GL/opengl_state_data.h
 +include/ClanLib-0.8/ClanLib/GL/opengl_surface.h
 +include/ClanLib-0.8/ClanLib/GL/opengl_window.h
 +include/ClanLib-0.8/ClanLib/GL/opengl_window_description.h
 +include/ClanLib-0.8/ClanLib/GL/opengl_wrap.h
 +include/ClanLib-0.8/ClanLib/GL/program_attribute.h
 +include/ClanLib-0.8/ClanLib/GL/program_object.h
 +include/ClanLib-0.8/ClanLib/GL/program_uniform.h
 +include/ClanLib-0.8/ClanLib/GL/setupgl.h
 +include/ClanLib-0.8/ClanLib/GL/shader_object.h
 +include/ClanLib-0.8/ClanLib/GL/texture.h
 +include/ClanLib-0.8/ClanLib/GL/viewpoint.h
  include/ClanLib-0.8/ClanLib/GUI/button.h
  include/ClanLib-0.8/ClanLib/GUI/checkbox.h
  include/ClanLib-0.8/ClanLib/GUI/component.h
 @@ -170,6 +172,7 @@
  include/ClanLib-0.8/ClanLib/GUI/gui_manager.h
  include/ClanLib-0.8/ClanLib/GUI/image.h
  include/ClanLib-0.8/ClanLib/GUI/inputbox.h
 +include/ClanLib-0.8/ClanLib/GUI/inputbox_stylebase.h
  include/ClanLib-0.8/ClanLib/GUI/inputdialog.h
  include/ClanLib-0.8/ClanLib/GUI/label.h
  include/ClanLib-0.8/ClanLib/GUI/layout.h
 @@ -182,6 +185,8 @@
  include/ClanLib-0.8/ClanLib/GUI/progressbar.h
  include/ClanLib-0.8/ClanLib/GUI/radiobutton.h
  include/ClanLib-0.8/ClanLib/GUI/radiogroup.h
 +include/ClanLib-0.8/ClanLib/GUI/richedit.h
 +include/ClanLib-0.8/ClanLib/GUI/richedit_paragraph.h
  include/ClanLib-0.8/ClanLib/GUI/scrollbar.h
  include/ClanLib-0.8/ClanLib/GUI/setupgui.h
  include/ClanLib-0.8/ClanLib/GUI/stylemanager.h
 @@ -201,13 +206,14 @@
  include/ClanLib-0.8/ClanLib/GUIStyleSilver/menu_silver.h
  include/ClanLib-0.8/ClanLib/GUIStyleSilver/progressbar_silver.h
  include/ClanLib-0.8/ClanLib/GUIStyleSilver/radiobutton_silver.h
 +include/ClanLib-0.8/ClanLib/GUIStyleSilver/richedit_silver.h
  include/ClanLib-0.8/ClanLib/GUIStyleSilver/scrollbar_silver.h
  include/ClanLib-0.8/ClanLib/GUIStyleSilver/stylemanager_silver.h
  include/ClanLib-0.8/ClanLib/GUIStyleSilver/treeitem_silver.h
  include/ClanLib-0.8/ClanLib/GUIStyleSilver/treeview_silver.h
  include/ClanLib-0.8/ClanLib/GUIStyleSilver/window_silver.h
 -%%LIBMIKMOD%%include/ClanLib-0.8/ClanLib/MikMod/setupmikmod.h
 -%%LIBMIKMOD%%include/ClanLib-0.8/ClanLib/MikMod/soundprovider_mikmod.h
 +include/ClanLib-0.8/ClanLib/MikMod/setupmikmod.h
 +include/ClanLib-0.8/ClanLib/MikMod/soundprovider_mikmod.h
  include/ClanLib-0.8/ClanLib/Network/IRC/dcc_download.h
  include/ClanLib-0.8/ClanLib/Network/IRC/irc_connection.h
  include/ClanLib-0.8/ClanLib/Network/IRC/irc_numerics.h
 @@ -229,7 +235,7 @@
  include/ClanLib-0.8/ClanLib/Network/Socket/outputsource_socket.h
  include/ClanLib-0.8/ClanLib/Network/Socket/socket.h
  include/ClanLib-0.8/ClanLib/Network/setupnetwork.h
 -%%SDL%%include/ClanLib-0.8/ClanLib/SDL/setupsdl.h
 +include/ClanLib-0.8/ClanLib/SDL/setupsdl.h
  include/ClanLib-0.8/ClanLib/Signals/signal.h
  include/ClanLib-0.8/ClanLib/Signals/signal_v0.h
  include/ClanLib-0.8/ClanLib/Signals/signal_v1.h
 @@ -268,20 +274,20 @@
  include/ClanLib-0.8/ClanLib/Sound/soundoutput_description.h
  include/ClanLib-0.8/ClanLib/Sound/soundprovider.h
  include/ClanLib-0.8/ClanLib/Sound/soundprovider_session.h
 -%%LIBVORBIS%%include/ClanLib-0.8/ClanLib/Vorbis/setupvorbis.h
 -%%LIBVORBIS%%include/ClanLib-0.8/ClanLib/Vorbis/soundprovider_vorbis.h
 +include/ClanLib-0.8/ClanLib/Vorbis/setupvorbis.h
 +include/ClanLib-0.8/ClanLib/Vorbis/soundprovider_vorbis.h
  include/ClanLib-0.8/ClanLib/application.h
  include/ClanLib-0.8/ClanLib/core.h
  include/ClanLib-0.8/ClanLib/display.h
 -%%OPENGL%%include/ClanLib-0.8/ClanLib/gl.h
 +include/ClanLib-0.8/ClanLib/gl.h
  include/ClanLib-0.8/ClanLib/gui.h
  include/ClanLib-0.8/ClanLib/guistylesilver.h
 -%%LIBMIKMOD%%include/ClanLib-0.8/ClanLib/mikmod.h
 +include/ClanLib-0.8/ClanLib/mikmod.h
  include/ClanLib-0.8/ClanLib/network.h
 -%%SDL%%include/ClanLib-0.8/ClanLib/sdl.h
 +include/ClanLib-0.8/ClanLib/sdl.h
  include/ClanLib-0.8/ClanLib/signals.h
  include/ClanLib-0.8/ClanLib/sound.h
 -%%LIBVORBIS%%include/ClanLib-0.8/ClanLib/vorbis.h
 +include/ClanLib-0.8/ClanLib/vorbis.h
  lib/libclanApp-0.8.so
  lib/libclanApp-0.8.so.1
  lib/libclanApp.a
 @@ -297,11 +303,11 @@
  lib/libclanDisplay.a
  lib/libclanDisplay.la
  lib/libclanDisplay.so
 -%%OPENGL%%lib/libclanGL-0.8.so
 -%%OPENGL%%lib/libclanGL-0.8.so.1
 -%%OPENGL%%lib/libclanGL.a
 -%%OPENGL%%lib/libclanGL.la
 -%%OPENGL%%lib/libclanGL.so
 +lib/libclanGL-0.8.so
 +lib/libclanGL-0.8.so.1
 +lib/libclanGL.a
 +lib/libclanGL.la
 +lib/libclanGL.so
  lib/libclanGUI-0.8.so
  lib/libclanGUI-0.8.so.1
  lib/libclanGUI.a
 @@ -312,21 +318,21 @@
  lib/libclanGUIStyleSilver.a
  lib/libclanGUIStyleSilver.la
  lib/libclanGUIStyleSilver.so
 -%%LIBMIKMOD%%lib/libclanMikMod-0.8.so
 -%%LIBMIKMOD%%lib/libclanMikMod-0.8.so.1
 -%%LIBMIKMOD%%lib/libclanMikMod.a
 -%%LIBMIKMOD%%lib/libclanMikMod.la
 -%%LIBMIKMOD%%lib/libclanMikMod.so
 +lib/libclanMikMod-0.8.so
 +lib/libclanMikMod-0.8.so.1
 +lib/libclanMikMod.a
 +lib/libclanMikMod.la
 +lib/libclanMikMod.so
  lib/libclanNetwork-0.8.so
  lib/libclanNetwork-0.8.so.1
  lib/libclanNetwork.a
  lib/libclanNetwork.la
  lib/libclanNetwork.so
 -%%SDL%%lib/libclanSDL-0.8.so
 -%%SDL%%lib/libclanSDL-0.8.so.1
 -%%SDL%%lib/libclanSDL.a
 -%%SDL%%lib/libclanSDL.la
 -%%SDL%%lib/libclanSDL.so
 +lib/libclanSDL-0.8.so
 +lib/libclanSDL-0.8.so.1
 +lib/libclanSDL.a
 +lib/libclanSDL.la
 +lib/libclanSDL.so
  lib/libclanSignals-0.8.so
  lib/libclanSignals-0.8.so.1
  lib/libclanSignals.a
 @@ -337,23 +343,23 @@
  lib/libclanSound.a
  lib/libclanSound.la
  lib/libclanSound.so
 -%%LIBVORBIS%%lib/libclanVorbis-0.8.so
 -%%LIBVORBIS%%lib/libclanVorbis-0.8.so.1
 -%%LIBVORBIS%%lib/libclanVorbis.a
 -%%LIBVORBIS%%lib/libclanVorbis.la
 -%%LIBVORBIS%%lib/libclanVorbis.so
 +lib/libclanVorbis-0.8.so
 +lib/libclanVorbis-0.8.so.1
 +lib/libclanVorbis.a
 +lib/libclanVorbis.la
 +lib/libclanVorbis.so
  libdata/pkgconfig/clanApp-0.8.pc
  libdata/pkgconfig/clanCore-0.8.pc
  libdata/pkgconfig/clanDisplay-0.8.pc
 -%%OPENGL%%libdata/pkgconfig/clanGL-0.8.pc
 +libdata/pkgconfig/clanGL-0.8.pc
  libdata/pkgconfig/clanGUI-0.8.pc
  libdata/pkgconfig/clanGUIStyleSilver-0.8.pc
 -%%LIBMIKMOD%%libdata/pkgconfig/clanMikMod-0.8.pc
 +libdata/pkgconfig/clanMikMod-0.8.pc
  libdata/pkgconfig/clanNetwork-0.8.pc
 -%%SDL%%libdata/pkgconfig/clanSDL-0.8.pc
 +libdata/pkgconfig/clanSDL-0.8.pc
  libdata/pkgconfig/clanSignals-0.8.pc
  libdata/pkgconfig/clanSound-0.8.pc
 -%%LIBVORBIS%%libdata/pkgconfig/clanVorbis-0.8.pc
 +libdata/pkgconfig/clanVorbis-0.8.pc
  @dirrm include/ClanLib-0.8/ClanLib/Application
  @dirrm include/ClanLib-0.8/ClanLib/Core/IOData
  @dirrm include/ClanLib-0.8/ClanLib/Core/Math
 @@ -364,21 +370,21 @@
  @dirrm include/ClanLib-0.8/ClanLib/Display/Collision
  @dirrm include/ClanLib-0.8/ClanLib/Display/Providers
  @dirrm include/ClanLib-0.8/ClanLib/Display
 -%%OPENGL%%@dirrm include/ClanLib-0.8/ClanLib/GL
 +@dirrm include/ClanLib-0.8/ClanLib/GL
  @dirrm include/ClanLib-0.8/ClanLib/GUI
  @dirrm include/ClanLib-0.8/ClanLib/GUIStyleSilver
 -%%LIBMIKMOD%%@dirrm include/ClanLib-0.8/ClanLib/MikMod
 +@dirrm include/ClanLib-0.8/ClanLib/MikMod
  @dirrm include/ClanLib-0.8/ClanLib/Network/IRC
  @dirrm include/ClanLib-0.8/ClanLib/Network/NetObjects
  @dirrm include/ClanLib-0.8/ClanLib/Network/NetSession
  @dirrm include/ClanLib-0.8/ClanLib/Network/NetVariables
  @dirrm include/ClanLib-0.8/ClanLib/Network/Socket
  @dirrm include/ClanLib-0.8/ClanLib/Network
 -%%SDL%%@dirrm include/ClanLib-0.8/ClanLib/SDL
 +@dirrm include/ClanLib-0.8/ClanLib/SDL
  @dirrm include/ClanLib-0.8/ClanLib/Signals
  @dirrm include/ClanLib-0.8/ClanLib/Sound/SoundFilters
  @dirrm include/ClanLib-0.8/ClanLib/Sound/SoundProviders
  @dirrm include/ClanLib-0.8/ClanLib/Sound
 -%%LIBVORBIS%%@dirrm include/ClanLib-0.8/ClanLib/Vorbis
 +@dirrm include/ClanLib-0.8/ClanLib/Vorbis
  @dirrm include/ClanLib-0.8/ClanLib
  @dirrm include/ClanLib-0.8
 --- clanlib.diff ends here ---
Comment 1 Gavin Atkinson freebsd_committer 2008-03-18 17:54:14 UTC
Class Changed
From-To: sw-bug->maintainer-update

Rescue misfiled PR
Comment 2 Gavin Atkinson freebsd_committer 2008-03-18 17:57:07 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Rescue PR
Comment 3 Martin Wilke freebsd_committer 2008-03-18 19:05:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 dfilter freebsd_committer 2008-03-26 12:53:58 UTC
miwi        2008-03-26 12:53:54 UTC

  FreeBSD ports repository

  Modified files:
    devel/clanlib        Makefile distinfo pkg-plist 
  Added files:
    devel/clanlib/files  
                         patch-Sources-Core-System-Unix_init_linux.cpp 
  Log:
  - Update to 0.8.1
  - Remove knobs since they are rather useless
  
  PR:             121829
  Submitted by:   Martin Tournoij <carpetsmoker@xs4all.nl> (maintainer)
  
  Revision  Changes    Path
  1.23      +9 -46     ports/devel/clanlib/Makefile
  1.8       +3 -3      ports/devel/clanlib/distinfo
  1.1       +14 -0     ports/devel/clanlib/files/patch-Sources-Core-System-Unix_init_linux.cpp (new)
  1.6       +58 -52    ports/devel/clanlib/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2008-03-26 12:54:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!